Loading...
Searching...
No Matches
apr_strings.h File Reference

APR Strings library. More...

`#include "apr.h"`
`#include "apr_errno.h"`
`#include "apr_pools.h"`
`#include "apr_want.h"`
Include dependency graph for apr_strings.h:

Go to the source code of this file.

## Functions

int | apr_strnatcmp (char const *a, char const *b)
int | apr_strnatcasecmp (char const *a, char const *b)
char * | apr_pstrdup (apr_pool_t *p, const char *s)
char * | apr_pstrmemdup (apr_pool_t *p, const char *s, apr_size_t n)
char * | apr_pstrndup (apr_pool_t *p, const char *s, apr_size_t n)
void * | apr_pmemdup (apr_pool_t *p, const void *m, apr_size_t n)
char * | apr_pstrcat (apr_pool_t *p,...)
char * | apr_pstrcatv (apr_pool_t *p, const struct iovec *vec, apr_size_t nvec, apr_size_t *nbytes)
char * | apr_pvsprintf (apr_pool_t *p, const char *fmt, va_list ap)
char * | apr_psprintf (apr_pool_t *p, const char *fmt,...)
char * | apr_cpystrn (char *dst, const char *src, apr_size_t dst_size)
char * | apr_collapse_spaces (char *dest, const char *src)
apr_status_t | apr_tokenize_to_argv (const char *arg_str, char ***argv_out, apr_pool_t *token_context)
char * | apr_strtok (char *str, const char *sep, char **last)
int | apr_snprintf (char *buf, apr_size_t len, const char *format,...)
int | apr_vsnprintf (char *buf, apr_size_t len, const char *format, va_list ap)
char * | apr_itoa (apr_pool_t *p, int n)
char * | apr_ltoa (apr_pool_t *p, long n)
char * | apr_off_t_toa (apr_pool_t *p, apr_off_t n)
apr_status_t | apr_strtoff (apr_off_t *offset, const char *buf, char **end, int base)
apr_int64_t | apr_strtoi64 (const char *buf, char **end, int base)
apr_int64_t | apr_atoi64 (const char *buf)
char * | apr_strfsize (apr_off_t size, char *buf)

## Detailed Description

APR Strings library.